Name: fish
Version: 1.23.0
Release: alt1

Summary: A friendly interactive shell
License: GPL
Group: Shells
URL: http://fishshell.org/

Source0: http://fishshell.org/files/%version/%name-%version.tar.bz2

Packager: Igor Zubkov <icesik@altlinux.org>

# Automatically added by buildreq on Sun Jan 13 2008
BuildRequires: imake libXext-devel libncurses-devel xorg-cf-files

%description 
fish is a shell geared towards interactive use. It's features are
focused on user friendlieness and discoverability. The language syntax
is simple but incompatible with other shell languages.

%prep
%setup -q

%build
%configure docdir=%_datadir/doc/%name-%version-%release/
%make_build

%install
%make_install DESTDIR=%buildroot install

pushd %buildroot%_datadir/doc/%name-%version-%release/
bzip2 -9 ChangeLog
popd

%find_lang %name

%files -f %name.lang
%doc %_datadir/doc/%name-%version-%release/
%dir %_sysconfdir/fish/
%config %_sysconfdir/fish/config.fish
%_bindir/fish
%_bindir/fishd
%_bindir/fish_pager
%_bindir/xsel
%_bindir/set_color
%_bindir/mimedb
%_bindir/fish_indent
%dir %_datadir/%name/
%_datadir/%name/
%_man1dir/fish.*
%_man1dir/fish_pager.*
%_man1dir/fishd.*
%_man1dir/xsel.*
%_man1dir/mimedb.*
%_man1dir/set_color.*
%_man1dir/fish_indent.*

#_man1dir/count.*

%changelog
* Sun Jan 13 2008 Igor Zubkov <icesik@altlinux.org> 1.23.0-alt1
- 1.22.3 -> 1.23.0

* Tue Jul 03 2007 Igor Zubkov <icesik@altlinux.org> 1.22.3-alt2
- update Url

* Sun Feb 18 2007 Igor Zubkov <icesik@altlinux.org> 1.22.3-alt1
- 1.22.2 -> 1.22.3
- clean up build requires

* Tue Dec 12 2006 Igor Zubkov <icesik@altlinux.org> 1.22.2-alt1
- 1.22.1 -> 1.22.2
- buildreq

* Mon Nov 20 2006 Igor Zubkov <icesik@altlinux.org> 1.22.1-alt1
- 1.21.12 -> 1.22.1
- buildreq
- compress ChangeLog

* Mon Sep 04 2006 Igor Zubkov <icesik@altlinux.ru> 1.21.12-alt1
- 1.21.11 -> 1.21.12

* Thu Aug 24 2006 Igor Zubkov <icesik@altlinux.ru> 1.21.11-alt1
- 1.21.10 -> 1.21.11

* Wed Aug 02 2006 Igor Zubkov <icesik@altlinux.ru> 1.21.10-alt1
- 1.21.10

* Mon Jul 17 2006 Igor Zubkov <icesik@altlinux.ru> 1.21.9-alt1
- 1.21.9

* Sun Jun 25 2006 Igor Zubkov <icesik@altlinux.ru> 1.21.8-alt1
- 1.21.8

* Fri Jun 02 2006 Igor Zubkov <icesik@altlinux.ru> 1.21.7-alt1
- 1.21.7

* Thu May 11 2006 Igor Zubkov <icesik@altlinux.ru> 1.21.6-alt1
- 1.21.6

* Wed Apr 12 2006 Igor Zubkov <icesik@altlinux.ru> 1.21.4-alt1
- 1.21.4

* Thu Mar 30 2006 Igor Zubkov <icesik@altlinux.ru> 1.21.2-alt1
- 1.21.2
- buildreq

* Fri Mar 24 2006 Igor Zubkov <icesik@altlinux.ru> 1.21.1-alt1
- 1.21.1
- fix build with new ld / -Wl,--as-needed

* Sat Jan 28 2006 Igor Zubkov <icesik@altlinux.ru> 1.18.2-alt1
- Initial build for Sisyphus

* Tue Nov 29 2005 Axel Liljencrantz <axel@liljencrantz.se> 1.17.0-0
- 1.17.0

* Sat Sep 24 2005 Axel Liljencrantz <axel@liljencrantz.se> 1.14.0-0
- 1.14.0

* Mon Sep 12 2005 Axel Liljencrantz <axel@liljencrantz.se> 1.13.4-0
- 1.13.4

* Wed Sep 07 2005 Axel Liljencrantz <axel@liljencrantz.se> 1.13.3-0
- 1.13.3

* Tue Sep 06 2005 Axel Liljencrantz <axel@liljencrantz.se> 1.13.2-0
- 1.13.2

* Fri Aug 30 2005 Axel Liljencrantz <axel@liljencrantz.se> 1.13.1-0
- 1.13.1

* Sun Aug 28 2005 Axel Liljencrantz <axel@liljencrantz.se> 1.13.0-0
- 1.13.0

* Sat Aug 13 2005 Axel Liljencrantz <axel@liljencrantz.se> 1.13.0-0
- Add completions subdirectory

* Thu Jul 28 2005 Axel Liljencrantz <axel@liljencrantz.se> 1.12.1-0
- 1.12.1

* Fri Jul 15 2005 Axel Liljencrantz <axel@liljencrantz.se> 1.12.0-1
- 1.12.0

* Thu Jun 30 2005 Michael Schwendt <mschwendt@users.sf.net> 1.11.1-9
- Set CFLAGS the proper way

* Thu Jun 30 2005 Axel Liljencrantz <axel@liljencrantz.se> 1.11.1-8
- Fix revision number in changelog

* Wed Jun 29 2005 Axel Liljencrantz <axel@liljencrantz.se> 1.11.1-7
- Send post-script output to /dev/null

* Wed Jun 29 2005 Axel Liljencrantz <axel@liljencrantz.se> 1.11.1-6
- Add changelog section to spec file
- Add macros to source tags
- Add smp_mflags to 'make all'
- Fix typo in post install scriptlet test
- Set CFLAGS from spec file
